#!/bin/sh

home=`pwd`

for dir in `find -type d -name "sample*"`; do
	cd $dir
	echo $dir
	src=`echo *.m4a | sed 's/.m4a//'`
	dest=$dir
	flac -d "$src".flac -o "$dest".wav
	faad -o "$dest"A.wav "$src".3gp
	faad -o "$dest"B.wav "$src".aac
	faad -o "$dest"C.wav "$src"2.aac
	faad -o "$dest"D.wav "$src".mp4
	faad -o "$dest"E.wav "$src"2.mp4
	madplay -o "$dest"F.wav "$src".wav.mp3
	faad -o "$dest"G32.wav "$src".m4a
	ssrc --rate 44100 --bits 16 --dither 4 --pdf 1 1 "$dest"G32.wav "$dest"G.wav
	cd $home
done

exit

#madplay -o .\sample1\sample1F.wav .\sample1\aquatisme.wav.mp3
#faad -o .\sample1\sample1G32.tmp .\sample1\aquatisme.m4a
#ssrc --rate 44100 --bits 16 --dither 4 --pdf 1 1 .\sample1\sample1G32.tmp .\sample1\sample1G.wav
